EDIT - task #10124

Adapt deprecated hibernate methods to suggested new methods
08/25/2022 10:20 AM - Andreas Mdller

Status: In Progress Start date:

Priority: Priority14 Due date:

Assignee: Katja Luther % Done: 0%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.45

Severity: normal

Description

copied from #10067

e deprecated calls in CdmEntityDaoBase (and maybe others), e.g. line 447 / createCriteria (deprecated)

¢ check if FlushMode can be changed to JPA Flush Mode

e we should think about using JPA MetamodelGenerator (
https://docs.jboss.org/hibernate/orm/5.0/topical/html/metamodelgen/MetamodelGenerator.html)

Related issues:
Related to EDIT - task #10104: Cleanup after hibernate v5.4.33 migration New
Copied from EDIT - task #10067: Update to hibernate 5.4 (or higher) and hiber... Closed 05/23/2022 06/01/2022

Associated revisions

Revision d5¢57711 - 09/07/2022 10:54 PM - Andreas Miiller
ref #10104, ref 10067 update GrantedAuthorityRevokingRegistrationUpdateLister to new hibernate version (FlushMode still not adapted)

Revision 5fc5a35f - 09/07/2022 11:05 PM - Andreas Miiller
ref #10104, ref 10067 update GrantedAuthorityRevokingRegistrationUpdateLister to new hibernate FlushMode

History

#1 - 08/25/2022 10:21 AM - Andreas Miiller
- Copied from task #10067: Update to hibernate 5.4 (or higher) and hibernate search 5.11 and lucene 5.5 added

#2 - 08/25/2022 10:56 AM - Andreas Miiller
- Related to task #10104: Cleanup after hibernate v5.4.33 migration added

#3 - 09/08/2022 12:20 PM - Andreas Miiller
- Priority changed from New to Priority14

#4 - 09/08/2022 12:21 PM - Andreas Miiller
- Tags set to 5.32-Remaining

#5 - 09/08/2022 12:24 PM - Katja Luther
- Description updated

- Status changed from New to In Progress

#6 - 09/08/2022 12:25 PM - Andreas Miuller

- Target version changed from Release 5.33 to Release 5.45
